net.corda.core.crypto

## Class X509Utilities.CACertAndKey

- net.corda.core.crypto.X509Utilities.CACertAndKey

- Enclosing class:
    X509Utilities

      public static class X509Utilities.CACertAndKey

  Helper data class to pass around public certificate and KeyPair entities when using CA certs.

  See Also:
    KeyPair

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CACertAndKey(java.security.cert.X509Certificate certificate, java.security.KeyPair keyPair)` Helper data class to pass around public certificate and KeyPair entities when using CA certs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.X509Certificate` | `component1()`
    `java.security.KeyPair` | `component2()`
    `X509Utilities.CACertAndKey` | `copy(java.security.cert.X509Certificate certificate, java.security.KeyPair keyPair)` Helper data class to pass around public certificate and KeyPair entities when using CA certs.
    `boolean` | `equals(java.lang.Object p)`
    `java.security.cert.X509Certificate` | `getCertificate()`
    `java.security.KeyPair` | `getKeyPair()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### CACertAndKey

          public CACertAndKey(java.security.cert.X509Certificate certificate,
                              java.security.KeyPair keyPair)

      Helper data class to pass around public certificate and KeyPair entities when using CA certs.

      See Also:
        KeyPair

  - ### Method Detail

    - #### getCertificate

          public java.security.cert.X509Certificate getCertificate()

    - #### getKeyPair

          public java.security.KeyPair getKeyPair()

    - #### component1

          public java.security.cert.X509Certificate component1()

    - #### component2

          public java.security.KeyPair component2()

    - #### copy

          public X509Utilities.CACertAndKey copy(java.security.cert.X509Certificate certificate,
                                                 java.security.KeyPair keyPair)

      Helper data class to pass around public certificate and KeyPair entities when using CA certs.

      See Also:
        KeyPair

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)